# This spec is backported to ALTLinux 5.1 automatically by rpmbph script. Do not edit it.
#
Name: libv4l
Version: 0.6.1
Release: alt0.M51.1

Summary: Collection of video4linux support libraries

Group: System/Libraries
License: LGPLv2+
Url: http://hansdegoede.livejournal.com/3636.html

Source: http://people.atrpms.net/~hdegoede/%name-%version.tar

BuildRequires: kernel-headers

%description
libv4l is a collection of libraries which adds a thin abstraction layer on
top of video4linux2 devices. The purpose of this (thin) layer is to make it
easy for application writers to support a wide variety of devices without
having to write separate code for different devices in the same class. libv4l
consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.

libv4lconvert offers functions to convert from any (known) pixelformat
to V4l2_PIX_FMT_BGR24 or V4l2_PIX_FMT_YUV420.

libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
of the drivers for those devices supporting v4l1 compatibility (which many
v4l2 drivers do not).

libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
application transparent libv4lconvert conversion where necessary.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%prep
%setup

%build
%make_build CFLAGS="%optflags" LIBDIR=%_libdir

%install
%makeinstall_std PREFIX=%prefix LIBDIR=%_libdir

%files
%doc COPYING.LIB ChangeLog README TODO
%_libdir/libv4l*.so.*
%_libdir/libv4l/

%files devel
%doc README.multi-threading
%_includedir/libv4l*.h
%_libdir/libv4l*.so
%_pkgconfigdir/*.pc

%changelog
* Mon Mar 22 2010 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.M51.1
- backport to ALTLinux 5.1 (by rpmbph script)

* Sun Mar 21 2010 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt1
- new version (0.6.1) import in git

* Fri Jul 31 2009 Pavlov Konstantin <thresh@altlinux.ru> 0.6.0-alt2
- Dummy changelog entry to make girar (or whatever) happier.

* Wed Jul 29 2009 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.6.0-alt1
- 0.6.0 release (with brain force) 

* Thu Nov 27 2008 Pavlov Konstantin <thresh@altlinux.ru> 0.5.6-alt1
- new version 0.5.6 (with hands only)
- prettified some macro.

* Sat Oct 18 2008 Vitaly Lipatov <lav@altlinux.ru> 0.5.1-alt1
- new version 0.5.1 (with rpmrb script)

* Sat Oct 18 2008 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt1
- initial build for ALT Linux Sisyphus

* Fri Aug 15 2008 bphilips@suse.de
- Initial SuSE package
